Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Calibration

Operations

Camera

Operations

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Environment

Operations

Errors

Operations

HepaUv

Operations

Instruments

Operations

Labware

Operations

LabwareCategories

Operations

LabwareSignature

Operations

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Protocols

Operations

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

Roles

Operations

RunData

Operations

Screenshots

Operations

ServiceSoftwareApi

Operations

Settings

Operations

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Users

Operations

Verification

Operations

VerificationResult

Operations

Create verification items

Request

Security
Bearer
Body
idstring or null
namestring or null
completionDatestring(date-time)
curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/verification-result' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '{
    "id": "string",
    "name": "string",
    "completionDate": "2019-08-24T14:15:22Z"
  }'

Responses

The verification item was created successfully

Response
No content

Get all verification items from the database

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/verification-result/get-all-items' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The verification items

Bodyapplication/jsonArray [
namestring or null

The name of the verification item

completeionDatestring or null

The completion date

]
Response
application/json
[ { "name": "string", "completeionDate": "string" } ]

Get a named verification item from the database

Request

Security
Bearer
Path
itemNamestringrequired
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/verification-result/get-item/{itemName}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The verification item

Bodyapplication/json
namestring or null

The name of the verification item

completeionDatestring or null

The completion date

Response
application/json
{ "name": "string", "completeionDate": "string" }